{% extends 'layout.html' %}
{% load static %}
{% load site_configs_tags %}
{% load widget_tweaks %}
{% load l10n %}}
{% load cache %}

{% block body_class %}page-info page-contact{% endblock %}

{% block content_wrapper %}
    {% get_configs 'common.Contacts' as contacts %}
    <div class="container">
            <h1 class="t-title blue">Контакты</h1>

            <div class="main-info">
                <div class="d-flex">
                    <div class="info">
                        <h2 class="title">Шоурум</h2>
                        <div class="phone">
                           <a href = "tel:{{ contacts.phone }}">{{ contacts.phone }}</a>
                            <span>Звоните</span>
                        </div>
                        <div class="phone">
                            <div>{{ contacts.whatsapp }}</div>
                            <span>Пишите в whatsapp</span>
                        </div>
                        <div class="contact">
                            <img src={% static "img/icons/24px/time.svg" %} alt="">
                            <span>понедельник - суббота с 10:00 до 20:00</span>
                        </div>
                        <div class="contact">
                            <img src={% static "img/icons/24px/mail.svg" %} alt="">
                            <a href = "mailto:{{ contacts.email }}">{{ contacts.email }}</a>
                        </div>
                        <div class="contact">
                            <img src={% static "img/icons/systemic/location.svg" %} class="img-svg" alt="">
                            <span> {{ contacts.address }}</span>
                        </div>
                        <button class="t-btn popup-open" data-modal="modal_callback">Обратная связь</button>
                    </div>

                    <div class="map-iframe">
                        <div id="map"></div>
                    </div>
                </div>
            </div>
            <div class="secondary-info">
                <div class="d-flex">
                    <img class="map-img" src = "{% static 'img/map.jpg' %}">
                    <div class="legal-info">
                        <h2 class="title">Юридическая информация</h2>
                        {{ contacts.legal_information|safe }}
                    </div>
                </div>
            </div>

            <div class="social-tabs">
                <div class="social-tab white-block">
                    <div class="social-name">Instagram</div>
                    <div class="social-item">
                        <div class="img">
                            <a href="#" style="background-image: url('')"></a>
                        </div>

                        <div class="d-flex">
                            <span class="count">83</span>
                            <span class="title">публикации</span>
                        </div>
                        <div class="d-flex">
                            <span class="count">15.0k</span>
                            <span class="title">подписчики</span>
                        </div>
                        <div class="d-flex">
                            <span class="count">5.5k</span>
                            <span class="title">подписки</span>
                        </div>
                    </div>
                </div>

                <div class="social-tab white-block instagram">
                    <div class="social-name">Facebook</div>
                    <div class="social-item">
                        <div class="img">
                            <a href="#" style="background-image: url('')"></a>
                        </div>
                        <a href="#" class="like-btn">
                            <img src={% static "img/icons/24px/like.svg" %} alt="" class="img-svg">
                            <span>Нравится страница</span>
                        </a>
                        <span class="title">51 нравится</span>
                    </div>
                </div>
            </div>
        </div>



        {% include 'web/partials/social-networks-widgets.html' %}
{% endblock %}

{% block scripts %}
    {{ block.super }}

    {% get_configs 'common.Contacts' as contacts %}
    <script>
        function initMap() {
            var map = new google.maps.Map(document.getElementById('map'), {
                center: {lat: {{ contacts.gps_lat|unlocalize }}, lng: {{ contacts.gps_lng|unlocalize }} },
                zoom: 17,
                styles: [{"featureType":"all","elementType":"all","stylers":[{"saturation":"-100"},{"lightness":"41"}]}]
            });

            new google.maps.Marker({
                position: {lat: {{ contacts.gps_lat|unlocalize }}, lng: {{ contacts.gps_lng|unlocalize }} },
                map: map,
                icon: "{% static "img/contacts_marker.png" %}"
            });
        }

        var isIOS=checkIsIOS();
        function openMobileMap(lat, lng) {
            if(isIOS)
                window.location="http://maps.apple.com/?daddr="+lat+","+lng;
            else
                window.location="http://maps.google.com/?daddr="+lat+","+lng;
        }
    </script>

    {% include 'web/partials/social-networks-widgets-scripts.html' %}
{% endblock %}

{% block extrascripts %}
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBCCpmeDlMK0jD4ZAeLLZ2oMeBvA13ZprE&callback=initMap"
        async defer></script>
{% endblock %}